Upgrade to a different version

Make sure you have committed any changes prior to attempting an upgrade. It's a good idea to isolate an upgrade to a single commit.

Update package.json

Find the @redocly/developer-portal in the @dependencies section of the package.json file.

  "dependencies": {
    "@redocly/developer-portal": "^1.0.0-beta.46"
  }

Update the version there (note, this may be the most current version already).

Check the published versions on NPM.

  "dependencies": {
    "@redocly/developer-portal": "^1.0.0-beta.51"
  }

Save the file.

Run yarn install

yarn install

This command will upgrade to the newer version of the developer portal.

Troubleshooting

If you hit a problem with the installation, you may want to try to delete your yarn.lock file and then yarn install again. Some dependencies are pinned based on the underlying OS or node version.

rm yarn.lock
yarn install

Still stuck? Contact us. We're happy to help.